<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              macrosinexcel.com
 * @since             1.0.0
 * @package           Ctc_Countdown_Timer_Cookies
 *
 * @wordpress-plugin
 * Plugin Name:       CTC Countdown Timer Cookies
 * Plugin URI:        macrosinexcel.com
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.1
 * Author:            JerbiK
 * Author URI:        https://profiles.wordpress.org/androjerbi/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       ctc-countdown-timer-cookies
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'CTC_COUNTDOWN_TIMER_COOKIES_VERSION', '1.0.1' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-ctc-countdown-timer-cookies-activator.php
 */
function activate_ctc_countdown_timer_cookies() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ctc-countdown-timer-cookies-activator.php';
	Ctc_Countdown_Timer_Cookies_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-ctc-countdown-timer-cookies-deactivator.php
 */
function deactivate_ctc_countdown_timer_cookies() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ctc-countdown-timer-cookies-deactivator.php';
	Ctc_Countdown_Timer_Cookies_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_ctc_countdown_timer_cookies' );
register_deactivation_hook( __FILE__, 'deactivate_ctc_countdown_timer_cookies' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-ctc-countdown-timer-cookies.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_ctc_countdown_timer_cookies() {

	$plugin = new Ctc_Countdown_Timer_Cookies();
	$plugin->run();

}
run_ctc_countdown_timer_cookies();
